# Toolboxes

> Source: https://elaichi.ai/docs/api-reference/toolboxes/

Base URL: `https://api.truto.one/unified/`

Set the `integrated_account_id` query parameter on every request to scope it to a specific connection.

## Resources

- [Toolbox](/docs/api-reference/toolboxes/toolbox)
  - [GET /toolbox](/docs/api-reference/toolboxes/toolbox/listtoolboxes) — List toolboxes visible to the caller
  - [POST /toolbox](/docs/api-reference/toolboxes/toolbox/createtoolbox) — Create a toolbox
  - [GET /toolbox/{id}](/docs/api-reference/toolboxes/toolbox/gettoolbox) — Get a toolbox
  - [PATCH /toolbox/{id}](/docs/api-reference/toolboxes/toolbox/updatetoolbox) — Update a toolbox (entries replace wholesale when provided)
  - [DELETE /toolbox/{id}](/docs/api-reference/toolboxes/toolbox/deletetoolbox) — Delete a toolbox
  - [GET /toolbox/{id}/share](/docs/api-reference/toolboxes/toolbox/listtoolboxshares) — List toolbox ACL shares
  - [POST /toolbox/{id}/share](/docs/api-reference/toolboxes/toolbox/sharetoolbox) — Share a toolbox
  - [DELETE /toolbox/{id}/share/{aclId}](/docs/api-reference/toolboxes/toolbox/revoketoolboxshare) — Revoke a toolbox share
